Skip to main content

Get or Create a Lead

POST 

/partner/pre-loan-request

Get or create a lead (Pre-Loan Request) by Identification (RUT).

banca.me looks for the customer's most recent lead in the partner entity of the origin, that is not ARCHIVED_SUCCESS and had activity in the last 28 days. When there is one, it is returned with 200; otherwise a new lead is created and returned with 201. Leads of that partner entity without activity for 28 days are closed as ARCHIVED_FAIL.

When the customer already has an active loan with your partner (BNPL loans aside), the response is 200 with step ARCHIVED_SUCCESS and the loan in product. When the customer already has a loan request in progress, the response is 200 and url links to that loan request; if that loan request is already signed, the response is 413 unless your partner has the placement module.

Which fields are returned depends on the step and on your modules:

FieldReturned
step, originLabelAlways
urlAlways, except on ARCHIVED_SUCCESS
archivedCommentOn ARCHIVED_FAIL
productOn ARCHIVED_SUCCESS
documentsAlways, except on ARCHIVED_SUCCESS and while the customer has a loan request in progress
preApprovesOn READY_FOR_LOAN and ARCHIVED_FAIL, with the evaluation module
areRiskParamsDataOkOn FILL_FORM, with the evaluation module
riskParamsWith the evaluation module, except on ARCHIVED_SUCCESS and while the customer has a signed loan request pending approval
protestsAndDelinquencies, claveUnica, previredHistory, sbifHistoryWith the evaluation module, when banca.me has the report, except on ARCHIVED_SUCCESS and while the customer has a loan request in progress

Request​

Responses​

Successful operation - Returned an existing lead